Bug 5491 - packaging/RHEL/ has only templates, no version info in rc1
packaging/RHEL/ has only templates, no version info in rc1
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.0
x86 Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 22:10 UTC by D.L. Meyer
Modified: 2008-09-05 03:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D.L. Meyer 2008-05-27 22:10:21 UTC
In the 3.2.0rc1 source tarball, the packaging/RHEL/ directory contained makerpms.sh.tmpl and samba.spec.tmpl, but these files do not have version information. 

To proceed with the build, I had to manually copy the template files as makerpms.sh and samba.spec, respectively.   Then I had to edit them and place the version/revision info into place after figuring out (from previous samba releases) what went where.

The gist of my edits is in this patch fragment:

--------------------------
--- RHEL/makerpms.sh.tmpl       2008-05-23 08:53:36.000000000 -0500
+++ RHEL/makerpms.sh    2008-05-26 21:09:57.000000000 -0500
@@ -20,8 +20,8 @@

 USERID=`id -u`
 GRPID=`id -g`
-VERSION='PVERSION'
-REVISION='PREVISION'
+VERSION='3.2.0'
+REVISION='rc1'
 SPECFILE="samba.spec"
 RPMVER=`rpm --version | awk '{print $3}'`
 RPM="rpmbuild"
--- RHEL/samba.spec.tmpl        2008-05-23 08:53:36.000000000 -0500
+++ RHEL/samba.spec     2008-05-27 23:46:24.000000000 -0500
@@ -5,8 +5,8 @@
 Vendor: Samba Team
 Packager: Samba Team <samba@samba.org>
 Name:         samba
-Version:      PVERSION
-Release:      PRELEASEPRPMREV
+Version:      3.2.0
+Release:      0.1
 Epoch:        0
 License: GNU GPL version 2
 Group: System Environment/Daemons
--------------------------
Comment 1 voiperster 2008-07-04 07:56:15 UTC
I don't think this is a bug. I generated the correct .sh and .spec files by executing:

../bin/update-pkginfo 3.2.0 1 ''

This could be more intuitive though. Perhaps a symbolic link to update-pkginfo or reading some of the version information from the other files in the tarball?
Comment 2 Karolin Seeger 2008-09-05 03:33:36 UTC
Sorry, I did not run the update-pkginfo script before creating the tarball.
Will be fixed in the following releases.
Closing out bug report.